package defaultt;
import java.util.Scanner; 
import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Date;

public class TUI extends Main{
	static  Scanner sc = new Scanner(System.in);
	
	public static void main(String[] args){
		var sdf = new SimpleDateFormat("dd.MM.yyyy, HH:mm");

			
		while(true) {
			System.out.println("(1) Einfahren");
			System.out.println("(2) Ausfahren");
			System.out.println("(3) Bezahlung");
			System.out.println("(4) Beenden");
			System.out.print("Eingabe: ");
			
			int nutzerEingabe = sc.nextInt();
			sc.nextLine(); 
			
			switch (nutzerEingabe) {
			case 1:
				String kennzeichenEin = kennzeichenEingabe(); 
				LocalDateTime einfahrtsZeit = zeitEingabe();
				Main.einfahrt(kennzeichenEin, einfahrtsZeit);
				System.out.println("Kennzeichen " + kennzeichenEin + " eingefahren um " + einfahrtsZeit);
				break;
			case 2:
				String kennzeichenAus = kennzeichenEingabe(); 
				LocalDateTime ausfahrtsZeit = zeitEingabe();
				Main.ausfahrt(kennzeichenAus, ausfahrtsZeit);
				System.out.println("Kennzeichen " + kennzeichenAus + " ausgefahren um " + ausfahrtsZeit);
				break;
			case 3:
				String[] zahlungsDaten = zahlungStart();
				Main.zahlung(zahlungsDaten); 
				System.out.println("Kennzeichen " + zahlungsDaten[0] + " hat gezahlt um " + zahlungsDaten[1]);
				break;
			case 4:
				return;
			}
		}
		}
	 
	public static String kennzeichenEingabe() {
		System.out.print("Geben Sie ihr Kennzeichen ein: "); 
		String kennzeichenString = sc.nextLine(); 
		return kennzeichenString; 
	}
	
	public static LocalDateTime zeitEingabe() {
		System.out.print("Geben Sie die Uhrzeit ein (DD.MM.YYYY HH:MM): "); 
		String uhrzeitEingabe = sc.nextLine();
			if (uhrzeitEingabe.trim().isEmpty()) {
				return LocalDateTime.now();
			}
		return LocalDateTime.parse(uhrzeitEingabe, DateTimeFormatter.ofPattern("dd.MM.yyyy HH:mm"));
   }
   
    private static String[] zahlungStart() {
        String kennzeichenZahlung = kennzeichenEingabe();
        LocalDateTime bezahlZeit = zeitEingabe();   
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("dd.MM.yyyy HH:mm");
        String zeitAlsString = bezahlZeit.format(formatter);
        System.out.print("Kreditkartennummer: ");
        String kreditkartennummer = sc.nextLine();
        String[] zahlungsDaten = {kennzeichenZahlung, zeitAlsString, kreditkartennummer};
        return zahlungsDaten; 
    }
}
